Apigithub
Comment on an issue or pull request conversation
Write operation: mutates state in the upstream service.
curl -X POST "https://api.modernloop.dev/rest/v1/github/repos/string/string/issues/{number}/comments" \ -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "body": "string" }'{ "id": 0, "body": "string", "user": { "login": "string", "id": 0 }, "html_url": "string", "created_at": "string", "updated_at": "string"}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
owner*string
Repository owner (user or organization)
repo*string
Repository name
number?|
Issue number
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
body*string
Comment content (Markdown)
Length
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json